package model;

public class Cell {
	public static final int MASU = 0;
	public static final int KABE = 1;
	public static final int HIDARI = 2;
	public static final int YOKO = 3;
	public static final int MIGI = 4;
	public static final int UE = 5;
	public static final int TATE = 6;
	public static final int SHITA = 7;
	public static final int SHIMA = 8;
	public static final int KARA = 9;
	public static final int ZERO = 10;
	public static final int BATSU = 11;

	private int number;

	public Cell(final int number) {
		this.number = number;
	}

	public void setNumber(final int bernumber) {
		this.number = bernumber;
	}

	public Cell multiply(final int value) {
		number *= value;
		return this;
	}

	public Cell remainder(final int value) {
		number %= value;
		return this;
	}

	public Cell subtract(final int value) {
		number -= value;
		return this;
	}

	public int getNumber() {
		return number;
	}

	public byte byteValue() {
		return (byte) number;
	}

	public int compareTo(final int value) {
		if (number < value) {
			return -1;
		} else if (number == value) {
			return 0;
		} else if (number > value) {
			return 1;
		}
		assert (false);
		return 0;
	}

	public boolean isNumber() {
		return number < 0;
	}

}
